Index: .gitignore
===================================================================
--- .gitignore	(revision b2dca8de8634dcb5e4d4674aa9007210da4bc6a4)
+++ .gitignore	(revision df6ded8c93d4c5e36bb3d1598f5b42fb5553ffe3)
@@ -1,3 +1,4 @@
 *.disasm
+*.deflate
 *.a
 *.o
@@ -12,4 +13,6 @@
 *.pyc
 tag
+tags
+common.h.new
 deps.mk
 Makefile.ag.depend
@@ -28,4 +31,18 @@
 /hdisk.img
 /image.iso
+/uImage.bin
+/image.boot
+boot/arch/arm32/_link.ld
+boot/arch/ia64/_link.ld
+boot/arch/mips32/_link.ld
+boot/arch/ppc32/_link.ld
+boot/arch/sparc64/_link.ld
+boot/components.h
+boot/components.s
+boot/components.zip
+boot/components_desc.c
+boot/image.bin
+boot/image.boot
+boot/image.raw
 kernel/arch/amd64/_link.ld
 kernel/arch/amd64/include/arch/boot/memmap_struct.h
@@ -41,14 +58,19 @@
 kernel/arch/ia32/include/arch/context_struct.h
 kernel/arch/ia32/include/arch/istate_struct.h
+kernel/arch/ia64/_link.ld
 kernel/arch/ia64/include/arch/context_struct.h
 kernel/arch/ia64/include/arch/istate_struct.h
+kernel/arch/mips32/_link.ld
 kernel/arch/mips32/include/arch/context_struct.h
 kernel/arch/mips32/include/arch/fpu_context_struct.h
 kernel/arch/mips32/include/arch/istate_struct.h
+kernel/arch/ppc32/_link.ld
 kernel/arch/ppc32/include/arch/context_struct.h
 kernel/arch/ppc32/include/arch/fpu_context_struct.h
 kernel/arch/ppc32/include/arch/istate_struct.h
+kernel/arch/sparc64/_link.ld
 kernel/arch/sparc64/include/arch/context_struct.h
 kernel/arch/sparc64/include/arch/istate_struct.h
+kernel/arch/abs32le/_link.ld
 kernel/genarch/include/genarch/multiboot/multiboot_info_struct.h
 kernel/genarch/include/genarch/multiboot/multiboot_memmap_struct.h
@@ -255,39 +277,9 @@
 uspace/dist/inc/c/
 uspace/dist/logo.tga
-uspace/dist/srv/cdfs
-uspace/dist/srv/chardev-test
-uspace/dist/srv/clipboard
-uspace/dist/srv/compositor
-uspace/dist/srv/console
-uspace/dist/srv/devman
-uspace/dist/srv/dhcp
-uspace/dist/srv/dnsrsrv
-uspace/dist/srv/ethip
-uspace/dist/srv/exfat
-uspace/dist/srv/ext4fs
-uspace/dist/srv/fat
-uspace/dist/srv/file_bd
-uspace/dist/srv/hound
-uspace/dist/srv/inetsrv
-uspace/dist/srv/input
-uspace/dist/srv/isdv4_tablet
-uspace/dist/srv/klog
-uspace/dist/srv/locfs
-uspace/dist/srv/loopip
-uspace/dist/srv/mfs
-uspace/dist/srv/nconfsrv
-uspace/dist/srv/output
-uspace/dist/srv/remcons
-uspace/dist/srv/rfb
-uspace/dist/srv/sata_bd
-uspace/dist/srv/slip
-uspace/dist/srv/taskmon
-uspace/dist/srv/tcp
-uspace/dist/srv/tmpfs
-uspace/dist/srv/udf
-uspace/dist/srv/udp
-uspace/dist/srv/vbd
-uspace/dist/srv/volsrv
-uspace/dist/test/*
+uspace/dist/app/
+uspace/dist/drv/
+uspace/dist/inc/
+uspace/dist/srv/
+uspace/dist/test/
 uspace/drv/audio/hdaudio/hdaudio
 uspace/drv/audio/sb16/sb16
@@ -367,14 +359,38 @@
 uspace/lib/c/arch/ia32/include/libarch/fibril_context.h
 uspace/lib/c/arch/ia32/include/libarch/istate_struct.h
+uspace/lib/c/arch/ia64/_link-dlexe.ld
+uspace/lib/c/arch/ia64/_link-loader.ld
+uspace/lib/c/arch/ia64/_link-shlib.ld
+uspace/lib/c/arch/ia64/_link.ld
 uspace/lib/c/arch/ia64/include/libarch/fibril_context.h
 uspace/lib/c/arch/ia64/include/libarch/istate_struct.h
+uspace/lib/c/arch/mips32/_link-dlexe.ld
+uspace/lib/c/arch/mips32/_link-loader.ld
+uspace/lib/c/arch/mips32/_link-shlib.ld
+uspace/lib/c/arch/mips32/_link.ld
 uspace/lib/c/arch/mips32/include/libarch/fibril_context.h
 uspace/lib/c/arch/mips32/include/libarch/istate_struct.h
+uspace/lib/c/arch/mips32eb/_link-dlexe.ld
+uspace/lib/c/arch/mips32eb/_link-loader.ld
+uspace/lib/c/arch/mips32eb/_link-shlib.ld
+uspace/lib/c/arch/mips32eb/_link.ld
 uspace/lib/c/arch/mips32eb/include/libarch/fibril_context.h
 uspace/lib/c/arch/mips32eb/include/libarch/istate_struct.h
+uspace/lib/c/arch/ppc32/_link-dlexe.ld
+uspace/lib/c/arch/ppc32/_link-loader.ld
+uspace/lib/c/arch/ppc32/_link-shlib.ld
+uspace/lib/c/arch/ppc32/_link.ld
 uspace/lib/c/arch/ppc32/include/libarch/fibril_context.h
 uspace/lib/c/arch/ppc32/include/libarch/istate_struct.h
+uspace/lib/c/arch/sparc64/_link-dlexe.ld
+uspace/lib/c/arch/sparc64/_link-loader.ld
+uspace/lib/c/arch/sparc64/_link-shlib.ld
+uspace/lib/c/arch/sparc64/_link.ld
 uspace/lib/c/arch/sparc64/include/libarch/fibril_context.h
 uspace/lib/c/arch/sparc64/include/libarch/istate_struct.h
+uspace/lib/c/arch/abs32le/_link-dlexe.ld
+uspace/lib/c/arch/abs32le/_link-loader.ld
+uspace/lib/c/arch/abs32le/_link-shlib.ld
+uspace/lib/c/arch/abs32le/_link.ld
 uspace/lib/c/test-libc
 uspace/lib/label/test-liblabel
Index: uspace/lib/posix/Makefile
===================================================================
--- uspace/lib/posix/Makefile	(revision b2dca8de8634dcb5e4d4674aa9007210da4bc6a4)
+++ uspace/lib/posix/Makefile	(revision df6ded8c93d4c5e36bb3d1598f5b42fb5553ffe3)
@@ -139,5 +139,5 @@
 	echo '# Generated file, do not modify.' >> $@.new
 	echo '# Do not forget to set HELENOS_EXPORT_ROOT.' >> $@.new
-	echo 'HELENOS_CROSS_PATH="$(shell dirname $(CC))"' >> $@.new
+	echo 'HELENOS_CROSS_PATH="$(shell dirname "$(CC)")"' >> $@.new
 	echo 'HELENOS_ARCH="$(firstword $(subst -, ,$(TARGET)))"' >> $@.new
 	echo 'HELENOS_TARGET="$(TARGET)"' >> $@.new
